Subject: RE: About IS-IS as the PE/CE Protocol in BGP/MPLS VPNs

From: Jonathan Harrison <[email-masked]>
Date: Thu, 23 Sep 2004 10:41:57 +0100

I believe there is demand for IS-IS to be used as the PE/CE protocol in
MPLS/BGP VPNs.

 - IS-IS is a widely deployed network protocol, with some advantages
(particularly in terms of IPv6 support) over OSPF.

 - In terms of the protocols used in customer sites wanting to use MPLS/BGP
VPNs, I would expect that IS-IS is at least as common as BGP.

So if it makes sense to consider BGP and OSPF as PE/CE protocols, it
definitely makes sense to consider IS-IS too.

Jon

-------------------------------------------
Jon Harrison
Network Protocols Group
Data Connection Ltd
Tel:	+44 20 8366 1177                 
Fax:	+44 20 8363 1039
Email:	[email-masked]    
Web:	http://www.dataconnection.com

-----Original Message-----
From: Ross Callon [mailto:[email-masked]]
Sent: 22 September 2004 17:26
To: Li Defeng 04955; [email-masked]
Subject: Re: RE: About IS-IS as the PE/CE Protocol in BGP/MPLS VPNs
(43834bytes)

At 09:21 PM 9/22/2004 +0800, Li Defeng 04955 wrote:
>I read the L3vpn wg charter, I didn't find any statement that ISIS as a 
>pe-ce routing protocol for BGP/MPLS VPN, just like it didn't explictly 
>state that OSPF as a pe-ce routing protocol for BGP/MPLS VPN, and 
>draft-ietf-l3vpn-ospf-2547-01.txt
>is a WG draft, and there is no explict statement of including PE-PE GRE or 
>IP in BGP/MPLS IP VPNs in L3VPN wg charter, and 
>draft-ietf-l3vpn-gre-ip-2547-02.txt is a wg draft too, what's more, now 
>that this topic is out of scope of l3vpn wg charter, how come this draft 
>was arranged for presentation?

I think that the immediate question is whether there is significant
interest in using IS-IS as the PE-CE protocol. I expect that this
is largely based on whether IS-IS is used as the routing protocol
within the network of the *customer* of the VPN service. If there
is enough interest, then adding a related milestone to the charter
would seem like a reasonable thing to propose.

Thus I think that accepting the draft for presentation makes sense
on the basis that we want to explore how much interest there is in
the topic.

>And IS-IS is deployed in some scenarios, such as some enterprise network, 
>and when two such enterprise networks would like to access service 
>provider to apply BGP/MPLS VPN service between this two sites, if use 
>IS-IS as PE-CE routing protocol, it will be much easier for these 
>enterprise networks customer to transition from the previous network 
>without changing the routing protocol in the original network.

How common is the use of IS-IS as the routing protocol in an
enterprise? I have certainly seen quite a few large service
providers who are using IS-IS (approximately half of the largest
ones in my experience), but I don't have as much experience
with IS-IS as being used in enterprises (but... see more below).

Another question is whether there are service providers using
IS-IS internally who are also the *customer* of a "carrier of
carriers" VPN service, and who would like to use IS-IS as the
PE-CE protocol for their use of this service.

>In some service providers, the IS-IS is prefered for its advantage in its 
>compatibility between IPv4 and IPv6 so as to transit their VPN easily, as 
>I mentioned in my last e-mail, IS-ISv6 can be supported easily by adding 
>two TLVs to IS-ISv4, however, if OSPFv2 is deployed as CE-PE routing, when 
>VPN customer hope to transit customer network from IPv4 to IPv6, then he 
>would deploy OSPFv3 in their network, as OSPFv3 is not compatible with 
>OSPFv2, in fact, they may be looked upon as two different routing 
>protocol, so this transition will bring some impact to cutomer's network. 
>In this regard, some service provider would prefer IS-IS as CE-PE routing 
>protocol in BGP/MPLS VPN.

In principle this makes sense. Also, it is understandable that
the degree to which this effects the choice of routing protocol
for use in an enterprise might depend upon whether the
enterprise uses IPv6, which in turn might be more common in
some parts of the world than in others.

>In other words, IS-IS as the PE-CE routing protocol give the service 
>provider an alternative to choose the PE-CE routing protocol, though is 
>not an indispensable choice, it just provide guide line for service 
>provider when he choose IS-IS as PE-CE routing protocol, and its goal is 
>to be progressed into an informational RFC, not a standard track RFC which 
>demand the complete abservation. So why not accept this subject in L3VPN 
>WG charter?
>
>As draft-sheng will address the problem when IS-IS is used as PE-CE 
>routing protocol, and there are some requirements from some service 
>providers in some scenarios. so I hope chairs can reconsider to make the 
>progress to this draft.

I think that it would be valuable to hear from service providers,
particularly those who see a demand for IS-IS as the CE-PE
protocol. Also, if there are any people on the list from enterprises
(or who consult to enterprises) that use IS-IS then this would also
be useful to know.

Thanks, Ross

>----- Original Message -----
>From: [email-masked]
>Date: Wednesday, September 22, 2004 8:50 pm
>Subject: RE: About IS-IS as the PE/CE Protocol in BGP/MPLS VPNs
(43834bytes)
>
> >
> > Ron,
> >
> > Currently, the ISIS MIB is in draft form (version 16) and doesn't
> > compile using the MIB
> > compilers recommended by the IETF MIB Doctor review process.
> > Additionally, this MIB is
> > has a  particularly resource intensive damping strategy (and in my
> > opinion an overly complex
> > one) for supporting the notifications.   I'd prefer to see the
> > Network management aspects worked out within
> > the ISIS working group prior to this working group adopting ISIS
> > as a PE-CE routing protocol.
> >
> > The network manage aspects of BGP and OSPF are far more
> > established (and in fact are on versions 2 or 3 of protocol/MIB)
> > whereasISIS is not near that level of maturity.
> >
> > I would not be in favor of using ISIS as a PE-CE routing protocol
> > at this time.
> >
> >  -Joan
> >
> >
> > -----Original Message-----
> > From: Ronald Bonica <[email-masked]>
> > Sent: Sep 21, 2004 2:55 PM
> > To: 'lidefeng' <[email-masked]>, [email-masked],
> >       'Ross Callon' <[email-masked]>, [email-masked]
> > Subject: RE: About IS-IS as the PE/CE Protocol in BGP/MPLS VPNs
> > (43834 bytes)
> >
> > Defeng,
> >
> > Currently, the L3VPN WG charter does not include ISIS as a PE-CE
> > routingprotocol. However, I would like to open the mailing list to
> > discussion.
> > Is there a compelling reason to deploy ISIS as a PE-CE routing
> > protocol, as
> > opposed to BGP or OSPF? Also, I would like to determine whether
> > there is
> > broad WG interest in this work.
> >
> >                                              Ron
> >
> >
> > > -----Original Message-----
> > > From: [email-masked] [mailto:[email-masked]]
> > > On Behalf Of lidefeng
> > > Sent: Thursday, September 02, 2004 5:13 AM
> > > To: [email-masked]; Ronald Bonica; Ross Callon
> > > Cc: [email-masked]
> > > Subject: About IS-IS as the PE/CE Protocol in BGP/MPLS VPNs
> > > (43834 bytes)
> > >
> > >
> > > Dear Chairmen,
> > >
> > > At 57th IETF meeting, I made the presentation for
> > > draft-sheng-ppvpn-isis-bgp-mpls-00.txt at PPVPN wg meeting
> > > and proposed the draft about "IS-IS as the PE/CE Protocol in
> > > BGP/MPLS VPNs" as work group draft, now PPVPN wg is divided
> > > into L3VPN and L2VPN, at the same time, draft "OSPF as the
> > > PE/CE Protocol in BGP/MPLS VPNs " is progressed as L3VPN wg,
> > > and IS-IS as an alternate IGP in SP's network and
> > > enterprise's network has its advantages over OSPF, especially
> > > in IPv6 and Traffic Engineering scenarios(OSPFv3 can't be
> > > compatibility with OSPFv2?while IS-ISv6 can be updated from
> > > IS-ISv4 by TLV extensiona), and IS-IS gained its wide
> > > deployment gradually.
> > >
> > > So I hope L3VPN wg consider to progress
> > > draft-sheng-ppvpn-isis-bgp-mpls-00.txt as WG draft, and it's
> > > goal is to become an informational RFC.
> > >
> > > As to the technical problem might exist in it, comments are
> > welcomed.>
> > > Regards
> > >
> > > Defeng Li
> > > Huawei Technologies
> > >
> > >
> > >
> >
> >
> >
> >
> >
> >